import glob
import re

from .query import Query
from .vector_store import VectorStore

OLLAMA_MODEL = "llama3:8b"
VECTOR_STORE_PATH = "faiss_vector_store"
PROCESSED_FILES_LOG = "processed_files.json"


def main():
    from .config import config

    store = VectorStore(store_path=config.db)

    if config.files:
        files = config.files

        if "*" in files[0]:
            files = [f for f in glob.iglob(files[0])]

        for filename in files:
            store.add_file(filename, parent_id="")  # parent_id = <paperless-id>

    elif config.query:
        query_engine = Query(store_path=config.db)
        answer = query_engine.ask(config.query)
        print(answer)
        # for doc in docs:
        #     parent_id = doc["parent_id"]

        #     printable = re.sub(r"[\s\n\t]+", " ", doc["content"][:130]).strip()
        #     print(
        #         f"""{parent_id}({doc["order"]} - {doc["distance"]:0.2f}): {doc["meta"]["title"]}\n\tcontent="{printable}"... """
        #     )
        return
    else:
        print("No input provided. Please provide a file or query.")


if __name__ == "__main__":
    main()
