from gtagger.backend.database import Database

class DocumentRepository:
    def __init__(self, database: Database ):
        self._db = database
        self.db.execute('''
            CREATE TABLE "document" (
                "id"	INTEGER,
                "document_id"	INTEGER,
                "path"	TEXT,
                "lingua_utilizzata"	TEXT,
                "tipo_documento"	TEXT,
                "corrispondente"	TEXT,
                "macroargomenti_trattati"	TEXT,
                "persone_citate"	TEXT,
                "data_evento"	TEXT,
                "relatori"	TEXT,
                PRIMARY KEY("id" AUTOINCREMENT)
            )
        ''')


class TokenCostRepository:
    def __init__(self, database: Database):
        self._db = database
        self.db.execute('''
            CREATE TABLE "token_cost" (
                "id"	INTEGER,
                "document_id"	INTEGER NOT NULL,
                "type"	INTEGER NOT NULL,
                "input_tokens"	INTEGER DEFAULT 0,
                "output_tokens"	INTEGER DEFAULT 0,
                "total_tokens"	INTEGER DEFAULT 0,
                PRIMARY KEY("id" AUTOINCREMENT),
                FOREIGN KEY("document_id") REFERENCES "documento"("id") ON DELETE CASCADE
            )
        ''')
   




"""

CREATE TABLE utenti (
    id INTEGER PRIMARY KEY,
    nome TEXT NOT NULL
);

CREATE TABLE ordini (
    id INTEGER PRIMARY KEY,
    utente_id INTEGER NOT NULL,
    prodotto TEXT NOT NULL,
    FOREIGN KEY (utente_id) REFERENCES utenti(id) ON DELETE CASCADE
);
conn = sqlite3.connect("miodatabase.db")
conn.execute("PRAGMA foreign_keys = ON;")  # 🔴 SENZA QUESTO NON FUNZIONA
"""
